Get a paginated list of product (Item, Bundle, or Variant) by SKU, including the attributes and variants. You can optionally specify locales to get products for specific regions. Note:
1. You can refine the results by specifying offset and limit values. If you don’t specify them, by default, you’ll get up to 10 products.
2. If you don’t have product SKU, use the corresponding ID-based endpoint - GET /products/{id}.
S2S access token (JWT) from fabric Identity service (during Login)
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Unique product ID that maps to fabric's standard attribute called SKU.
Note: sku shouldn't include ; or =
"XP-123345"
Maximum number of records per page
10
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
0
Product types that can be filtered are Item, Bundle, and Variant Supported product types
ITEM, VARIANT, BUNDLE "ITEM"
Comma-separated locale codes of product. The service throws a 400 error if the locale isn't supported. Standard locales can be found at https://www.rfc-editor.org/rfc/rfc5646.
Note: The recommended way to get the locale is by invoking multi-channel service.
"fr-CA%2Cen-US"
Comma-separated statuses indicating the preferred order of the product versions considered for this operation (endpoint action). For example,
1. When the status is DRAFT, this operations will only apply to the Draft version of product, if it exists
2. When the status is LIVE, this operation will only apply to the Live version of the product, if it exists
3 When the status is LIVE,DRAFT, this operation will prioritize Live version first, if it exists. Otherwise, the Draft version is considered.
4 When the status is DRAFT,LIVE this operation will prioritize the Draft version first, if it exists. Otherwise, the Live version is considered.
"DRAFT"
Product types that can be filtered are Item, Bundle, and Variant. Supports multiple types when provided as comma separated types
OK
Product details by SKUs
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
5
Maximum number of records per page
10
Total number of records in the response
100